public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: net-libs/kdsoap/, net-libs/kdsoap/files/
@ 2022-09-14 14:24 Andreas Sturmlechner
  0 siblings, 0 replies; only message in thread
From: Andreas Sturmlechner @ 2022-09-14 14:24 UTC (permalink / raw
  To: gentoo-commits

commit:     1ba66db53e6f3f105d3accfb1a46419743ba7b11
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Wed Sep 14 14:23:12 2022 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Wed Sep 14 14:24:43 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1ba66db5

net-libs/kdsoap: add 2.1.0

Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 net-libs/kdsoap/Manifest                           |  1 +
 net-libs/kdsoap/files/kdsoap-2.1.0-cmake.patch     | 38 ++++++++++++++++
 .../files/kdsoap-2.1.0-fix-cppcheck-warnings.patch | 52 ++++++++++++++++++++++
 net-libs/kdsoap/kdsoap-2.1.0.ebuild                | 50 +++++++++++++++++++++
 4 files changed, 141 insertions(+)

diff --git a/net-libs/kdsoap/Manifest b/net-libs/kdsoap/Manifest
index f5adb9ed402d..2983860e4ae7 100644
--- a/net-libs/kdsoap/Manifest
+++ b/net-libs/kdsoap/Manifest
@@ -1 +1,2 @@
 DIST kdsoap-2.0.0.tar.gz 2916527 BLAKE2B 7b9cf71b181b88180fb00cb2f0c2b84b5fd7d997531aa68957a84811959befd9c8909c8892d3b60d47a654916fa5b8841fa7b389a006a8ca6a2cdce98a433cfb SHA512 50305866595048e0ec6cd6dabba9e63a948f1e1263e7f03e9e3bc56f09a843bade944df95b5ff57d4fc3a62896e72f02b0d7b3d5cc2be2823da67001ca459428
+DIST kdsoap-2.1.0.tar.gz 948070 BLAKE2B 69f13fb394c0b6a568d5ee63f26d3384e1276a63084116ebd96b8a1b4b87ef70155aba9a3e84c9c5f7016166d6e1cfffcb98c96400fccac6c7d339f6f73fb41d SHA512 db4c0ba25ccef3c5dc90662fbfa14ee4cdc2e8079f132efebf71a10d9a26460070bf71d22cce478520ead0425488b79f52ea6a1ee651473e989d59dfd5053972

diff --git a/net-libs/kdsoap/files/kdsoap-2.1.0-cmake.patch b/net-libs/kdsoap/files/kdsoap-2.1.0-cmake.patch
new file mode 100644
index 000000000000..f70e0bf062ce
--- /dev/null
+++ b/net-libs/kdsoap/files/kdsoap-2.1.0-cmake.patch
@@ -0,0 +1,38 @@
+From 0c7374b25464d2dca3728a9c1a59f577b978e211 Mon Sep 17 00:00:00 2001
+From: Allen Winter <allen.winter@kdab.com>
+Date: Mon, 12 Sep 2022 17:06:03 -0400
+Subject: [PATCH] KDSoapClient,KDSoapServer]/CMakeLists.txt - fix
+ INSTALL_INTERFACES
+
+should not have the extra hierarchy for the library
+---
+ src/KDSoapClient/CMakeLists.txt | 2 +-
+ src/KDSoapServer/CMakeLists.txt | 2 +-
+ 2 files changed, 2 insertions(+), 2 deletions(-)
+
+diff --git a/src/KDSoapClient/CMakeLists.txt b/src/KDSoapClient/CMakeLists.txt
+index 563cb6df..44dc17cd 100644
+--- a/src/KDSoapClient/CMakeLists.txt
++++ b/src/KDSoapClient/CMakeLists.txt
+@@ -44,7 +44,7 @@ target_link_libraries(
+ )
+ target_include_directories(
+     kdsoap
+-    INTERFACE "$<INSTALL_INTERFACE:${INSTALL_INCLUDE_DIR}/KDSoapClient${${PROJECT_NAME}_LIBRARY_QTID}>"
++    INTERFACE "$<INSTALL_INTERFACE:${INSTALL_INCLUDE_DIR}>"
+ )
+ set_target_properties(kdsoap PROPERTIES SOVERSION ${${PROJECT_NAME}_SOVERSION} VERSION ${${PROJECT_NAME}_VERSION})
+ 
+diff --git a/src/KDSoapServer/CMakeLists.txt b/src/KDSoapServer/CMakeLists.txt
+index 2c9ff893..a111dacb 100644
+--- a/src/KDSoapServer/CMakeLists.txt
++++ b/src/KDSoapServer/CMakeLists.txt
+@@ -39,7 +39,7 @@ target_link_libraries(
+ )
+ target_include_directories(
+     kdsoap-server
+-    INTERFACE "$<INSTALL_INTERFACE:${INSTALL_INCLUDE_DIR}/KDSoapServer${${PROJECT_NAME}_LIBRARY_QTID}>"
++    INTERFACE "$<INSTALL_INTERFACE:${INSTALL_INCLUDE_DIR}>"
+ )
+ set_target_properties(
+     kdsoap-server PROPERTIES SOVERSION ${${PROJECT_NAME}_SOVERSION} VERSION ${${PROJECT_NAME}_VERSION}

diff --git a/net-libs/kdsoap/files/kdsoap-2.1.0-fix-cppcheck-warnings.patch b/net-libs/kdsoap/files/kdsoap-2.1.0-fix-cppcheck-warnings.patch
new file mode 100644
index 000000000000..f0d56869729e
--- /dev/null
+++ b/net-libs/kdsoap/files/kdsoap-2.1.0-fix-cppcheck-warnings.patch
@@ -0,0 +1,52 @@
+From e9df81fa01188371d2f62f29ebf0d08eb6e50ef2 Mon Sep 17 00:00:00 2001
+From: David Faure <david.faure@kdab.com>
+Date: Tue, 13 Sep 2022 09:50:52 +0200
+Subject: [PATCH] Fix cppcheck warnings
+
+---
+ src/KDSoapClient/KDSoapClientInterface.h       | 3 +++
+ src/KDSoapServer/KDSoapServerObjectInterface.h | 3 +++
+ unittests/serverlib/test_serverlib.cpp         | 2 +-
+ 3 files changed, 7 insertions(+), 1 deletion(-)
+
+diff --git a/src/KDSoapClient/KDSoapClientInterface.h b/src/KDSoapClient/KDSoapClientInterface.h
+index e89d44f7..9c5450f0 100644
+--- a/src/KDSoapClient/KDSoapClientInterface.h
++++ b/src/KDSoapClient/KDSoapClientInterface.h
+@@ -79,6 +79,9 @@ class KDSOAP_EXPORT KDSoapClientInterface
+      */
+     ~KDSoapClientInterface();
+ 
++    KDSoapClientInterface(const KDSoapClientInterface &) = delete;
++    KDSoapClientInterface &operator=(const KDSoapClientInterface &) = delete;
++
+     /**
+      * Calls the method \p method on this interface and passes the arguments specified in \p message
+      * to the method.
+diff --git a/src/KDSoapServer/KDSoapServerObjectInterface.h b/src/KDSoapServer/KDSoapServerObjectInterface.h
+index 69c69100..0c881b63 100644
+--- a/src/KDSoapServer/KDSoapServerObjectInterface.h
++++ b/src/KDSoapServer/KDSoapServerObjectInterface.h
+@@ -68,6 +68,9 @@ class KDSOAPSERVER_EXPORT KDSoapServerObjectInterface
+      */
+     virtual ~KDSoapServerObjectInterface();
+ 
++    KDSoapServerObjectInterface(const KDSoapServerObjectInterface &) = delete;
++    KDSoapServerObjectInterface &operator =(const KDSoapServerObjectInterface &) = delete;
++
+     /**
+      * Handle \p request and return \p response.
+      * The default implementation in this base class is to simply return
+diff --git a/unittests/serverlib/test_serverlib.cpp b/unittests/serverlib/test_serverlib.cpp
+index f4d4818d..eb6af065 100644
+--- a/unittests/serverlib/test_serverlib.cpp
++++ b/unittests/serverlib/test_serverlib.cpp
+@@ -1450,7 +1450,7 @@ public Q_SLOTS:
+         return QString::fromUtf8("David Ä Faure France");
+     }
+ 
+-    void verifySocketResponse(ClientSocket &socket, const QByteArray employeeName)
++    void verifySocketResponse(ClientSocket &socket, const QByteArray &employeeName)
+     {
+         QVERIFY(socket.waitForReadyRead());
+         const QByteArray response = socket.readAll();

diff --git a/net-libs/kdsoap/kdsoap-2.1.0.ebuild b/net-libs/kdsoap/kdsoap-2.1.0.ebuild
new file mode 100644
index 000000000000..977a947a3156
--- /dev/null
+++ b/net-libs/kdsoap/kdsoap-2.1.0.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+if [[ ${PV} != *9999* ]]; then
+	SRC_URI="https://github.com/KDAB/KDSoap/releases/download/${P}/${P}.tar.gz"
+	KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
+else
+	EGIT_REPO_URI="https://github.com/KDAB/KDSoap.git"
+	EGIT_SUBMODULES=( kdwsdl2cpp/libkode -autogen )
+	inherit git-r3
+fi
+inherit cmake
+
+DESCRIPTION="Qt-based client-side and server-side SOAP component"
+HOMEPAGE="https://www.kdab.com/development-resources/qt-tools/kd-soap/"
+
+LICENSE="GPL-3 AGPL-3"
+SLOT="0/2"
+IUSE=""
+
+RDEPEND="
+	dev-qt/qtcore:5
+	dev-qt/qtnetwork:5
+	dev-qt/qtxml:5
+"
+DEPEND="${RDEPEND}
+	dev-libs/boost
+"
+
+PATCHES=(
+	"${FILESDIR}"/${P}-cmake.patch
+	"${FILESDIR}"/${P}-fix-cppcheck-warnings.patch
+)
+
+src_prepare() {
+	cmake_src_prepare
+	sed -e "/install.*INSTALL_DOC_DIR/d" -i CMakeLists.txt || die
+}
+
+src_configure() {
+	local mycmakeargs=(
+		-DKDSoap_DOCS=OFF
+		-DKDSoap_EXAMPLES=OFF # no install targets
+		-DKDSoap_STATIC=OFF
+		-DKDSoap_QT6=OFF
+	)
+	cmake_src_configure
+}


^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2022-09-14 14:25 UTC | newest]

Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2022-09-14 14:24 [gentoo-commits] repo/gentoo:master commit in: net-libs/kdsoap/, net-libs/kdsoap/files/ Andreas Sturmlechner

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox